Pular para o conteúdo principal
GET
/
client
/
orders
/
{id}
Consultar ordem por ID
curl --request GET \
  --url https://api.pixusglobal.com/client/orders/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "symbol": "<string>",
  "side": "<string>",
  "quantity": 123,
  "price": 123,
  "provider": "<string>",
  "operationDate": "2023-11-07T05:31:56Z",
  "settlementDate": "2023-11-07T05:31:56Z",
  "status": "pending",
  "expectedAmount": 123,
  "receivedAmount": 123,
  "withdrawnAmount": 123
}

Autorizações

Authorization
string
header
obrigatório

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parâmetros de caminho

id
string<uuid>
obrigatório

Resposta

Detalhes da ordem

id
string
symbol
string
side
string
quantity
number
price
number
provider
string
operationDate
string<date-time>
settlementDate
string<date-time>
status
enum<string>
Opções disponíveis:
pending,
partial,
paid,
withdrawn,
settled
expectedAmount
number
receivedAmount
number
withdrawnAmount
number